net.snowflake.client.loader

## Class LoadingError

- java.lang.Object
- - net.snowflake.client.loader.LoadingError

    public class LoadingError
    extends Object

Wrapper for data format errors returned by the COPY/validate command

### Nested Class Summary

Nested Classes
`static class` `LoadingError.ErrorProperty`

### Field Summary

Fields
`static String` `UNKNOWN`

### Constructor Summary

Constructors
Constructor and Description
`LoadingError(ResultSet rs, BufferStage bs, StreamLoader loader)` Construct error from validation output

### Method Summary

All Methods Instance Methods Concrete Methods
`Loader.DataError` `getException()`
`String` `getFile()`
`String` `getPrefix()`
`String` `getProperty(LoadingError.ErrorProperty p)`
`String` `getStage()`
`String` `getTarget()`
`void` `setProperty(LoadingError.ErrorProperty p, String value)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### UNKNOWN

    public static String UNKNOWN

### Constructor Detail

#### LoadingError

    public LoadingError(ResultSet rs,
                        BufferStage bs,
                        StreamLoader loader)

Construct error from validation output

Parameters:
  `rs` - result set
  `bs` - buffer stage
  `loader` - stream loader

### Method Detail

#### getStage

    public String getStage()

#### getPrefix

    public String getPrefix()

#### getFile

    public String getFile()

#### getTarget

    public String getTarget()

#### getProperty

    public String getProperty(LoadingError.ErrorProperty p)

#### setProperty

    public void setProperty(LoadingError.ErrorProperty p,
                            String value)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getException

    public Loader.DataError getException()